Sidef::Types::Glob::Dir(3)

NAME
Sidef::Types::Glob::Dir

DESCRIPTION
This class implements ...

SYNOPSIS
var obj = Dir(...)

INHERITS
Inherits methods from:

       * Sidef::Types::Glob::File

METHODS

  +
    a + b

Returns the

Aliases: concat, catfile

  chdir
    Dir.chdir()

Returns the

  chroot
    Dir.chroot()

Returns the

  cwd
    Dir.cwd()

Returns the

  delete
    Dir.delete()

Returns the

Aliases: remove, unlink

  dump
    Dir.dump()

Returns the

  home
    Dir.home()

Returns the

  is_empty
    Dir.is_empty()

Returns the

  make
    Dir.make()

Returns the

Aliases: mkdir, create

  mkpath
    Dir.mkpath()

Returns the

Aliases: mktree, make_path, make_tree, create_tree

  new
    Dir.new()

Returns the

Aliases: call

  open
    Dir.open()

Returns the

Aliases: open_r

  open_rw
    Dir.open_rw()

Returns the

  open_w
    Dir.open_w()

Returns the

  parent
    Dir.parent()

Returns the

  pwd
    Dir.pwd()

Returns the

  remove_tree
    Dir.remove_tree()

Returns the

  root
    Dir.root()

Returns the

  split
    Dir.split()

Returns the

  tmp
    Dir.tmp()

Returns the

Aliases: temp

  to_dir
    Dir.to_dir()

Returns the

  to_s
    Dir.to_s()

Returns the

Aliases: to_str

  up
    Dir.up()

Returns the